%global realname sippy

Name:           python-%{realname}
Version:        1.0.3
Release:        19%{?dist}
Summary:        B2BUA (back-to-back user agent) SIP call controlling component
Group:          Development/Libraries
License:        GPLv2+
URL:            http://b2bua.org/
BuildArch:      noarch
Source0:        http://b2bua.org/chrome/site/%{realname}-%{version}.tar.gz
Patch0:         sippy-setup.diff
BuildRequires:  python2-devel
BuildRequires:  python2-setuptools
# for sippy/Radius_client.py


%global _description\
This ia a RFC3261-compliant Session Initiation Protocol (SIP) Back-to-back\
user agent (B2BUA) server software.\
\
The B2BUA is a SIP call controlling component. Unlike a SIP proxy server,\
which only maintains transaction state, the B2BUA maintains complete call\
state and participates in all call requests. For this reason it can perform\
number of functions that are not possible to implement using SIP proxy,\
such as for example accurate call accounting, pre-paid rating and billing,\
fail over call routing etc. Unlike PBX-type solutions such as Asterisk for\
example, the B2BUA doesn't perform any media relaying or processing,\
therefore it doesn't introduce any additional packet loss, delay or jitter\
into the media path.\


%description %_description

%package -n python2-%{realname}
Summary: %summary
Provides:       %{realname} = %{version}-%{release}
Requires: python2-twisted
Requires: freeradius-client-utils
%{?python_provide:%python_provide python2-%{realname}}

%description -n python2-%{realname} %_description

%prep
%setup -q -n %{realname}-%{version}
%patch0 -p0 -b .do_not_install_copying
chmod 644 sippy/Udp_server.py
%if 0%{?rhel}
find -type f -name "*.py" -exec sed -i s,hashlib,md5,g {} \;
%endif


%build
python setup.py build


%install
python setup.py install --skip-build --root $RPM_BUILD_ROOT
# remove unused files
rm -f $RPM_BUILD_ROOT%{python_sitelib}/sippy/b2bua_radius.py*
rm -f $RPM_BUILD_ROOT%{python_sitelib}/sippy/b2bua_simple.py*


%files -n python2-%{realname}
%doc COPYING README
%dir %{_sysconfdir}/%{realname}
%config(noreplace) %{_sysconfdir}/%{realname}/dictionary
%{_bindir}/b2bua_radius.py
%{_bindir}/b2bua_simple.py
%{python_sitelib}/*


%changelog
* Mon Feb 12 2018 Iryna Shcherbina <ishcherb@redhat.com> - 1.0.3-19
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.3-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.0.3-17
- Python 2 binary package renamed to python2-sippy
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.3-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.3-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.3-14
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.3-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.3-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May  2 2015 Peter Lemenkov <lemenkov@gmail.com> 1.0.3-11
- Switch from radiusclient-ng-utils to freeradius-client-utils
- Drop compatibility with EL5

* Mon Jun 30 2014 Toshio Kuratomi <toshio@fedoraproject.org> - 1.0.3-10
- Replace python-setuptools-devel BR with python-setuptools

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.3-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 1.0.3-3
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Wed Mar 10 2010 Peter Lemenkov <lemenkov@gmail.com> 1.0.3-2
- Dropped checking for F-10
- Fixed EPEL-specific bug

* Tue Mar  2 2010 Peter Lemenkov <lemenkov@gmail.com> 1.0.3-1
- Version 1.0.3 (bugfix release)

* Mon Aug 17 2009 Peter Lemenkov <lemenkov@gmail.com> 1.0.1-1
- Version 1.0.1

* Thu Jul 30 2009 Jesse Keating <jkeating@redhat.com> - 0-0.10.20090429cvs
- Bump for F12 mass rebuild

* Thu May 28 2009 Peter Lemenkov <lemenkov@gmail.com> 0-0.9.20090429cvs
- Fixed build for EL-4

* Sun May 17 2009 Peter Lemenkov <lemenkov@gmail.com> 0-0.8.20090429cvs
- Removed unnecessary BuildRequires python-setuptools, pkgconfig
- Cosmetic changes

* Wed Apr 29 2009 Peter Lemenkov <lemenkov@gmail.com> 0-0.7.20090429cvs
- New cvs snapshot

* Fri Apr 17 2009 Peter Lemenkov <lemenkov@gmail.com> 0-0.6.20090409cvs
- Fix building on F-11

* Mon Apr 13 2009 Peter Lemenkov <lemenkov@gmail.com> 0-0.5.20090409cvs
- Added missing Requires

* Thu Apr  9 2009 Peter Lemenkov <lemenkov@gmail.com> 0-0.4.20090409cvs
- New cvs snapshot

* Thu Dec  4 2008 Peter Lemenkov <lemenkov@gmail.com> 0-3.20081202cvs
- New cvs snapshot

* Mon Jun 30 2008 Peter Lemenkov <lemenkov@gmail.com> 0-2.20080627cvs
- New cvs snapshot
- Renamed to python-sippy (added necessary 'Provides')

* Thu May 15 2008 Peter Lemenkov <lemenkov@gmail.com> 0-1.20080515cvs
- Initial build
